import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconLab as IconLabClass } from "../../../../components/icon/icons/lab.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconLab = (props) => {
  IconLabClass.define();
  const JSXElement = getReactComponent("gds-icon-lab");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconLab.displayName = "IconLab";
export {
  IconLab
};
